/*
 * Timepicker stylesheet
 * Highly inspired from datepicker
 * FG - Nov 2010 - Web3R
 *
 * version 0.0.3 : Fixed some settings, more dynamic
 * version 0.0.4 : Removed width:100% on tables
 * version 0.1.1 : set width 0 on tables to fix an ie6 bug
 */

.ui-timepicker-inline { display: inline; }

#ui-timepicker-div { padding: 1px; }
#ui-timepicker-div * { box-sizing: border-box; }
.ui-timepicker-table { display: inline-table; width: 0; margin:0;}
.ui-timepicker-table table { margin:0.15em 0 0 0; border-collapse: collapse; }

.ui-timepicker-hours, .ui-timepicker-minutes { padding: 0.2em !important;  }

.ui-timepicker-table .ui-timepicker-title { line-height: 1.8em; text-align: center; position:relative;min-width:70px;}
.ui-timepicker-table td { padding: 0.1em; width: 2.2em; }
.ui-timepicker-table th.periods { padding: 0.1em; width: 2.2em; vertical-align:middle;}

/* span for disabled cells */
.ui-timepicker-table td .ui-state-disabled {
	display:block;
    padding:0.2em 0.3em 0.2em 0.5em;
    width: 1.2em;

    text-align:right;
    text-decoration:none;
}
/* anchors for clickable cells */
.ui-timepicker-table td a {
    display:block;
    padding:0.4em;
    width: 2.4em;
    cursor: pointer;
    text-align:right;
    text-decoration:none;
}


/* buttons and button pane styling */
.ui-timepicker .ui-timepicker-buttonpane {
    background-image: none; margin: .7em 0 0 0; padding:0 .2em; border-left: 0; border-right: 0; border-bottom: 0;
}
.ui-timepicker .ui-timepicker-buttonpane button { margin: .5em .2em .4em; cursor: pointer; padding: .2em .6em .3em .6em; width:auto; overflow:visible; }
/* The close button */
.ui-timepicker .ui-timepicker-close { float: right }

/* the now button */
.ui-timepicker .ui-timepicker-now { float: left; }

/* the deselect button */
.ui-timepicker .ui-timepicker-deselect { float: left; }

/* incrementors */
.ui-timepicker-title .ui-icon {
	background-image: url("ui/images/ui-icons_ffffff_256x240.png");
	cursor:pointer;
}
.ui-timepicker .ui-icon-triangle-1-w {position:absolute;left:0;top:3px;}
.ui-timepicker .ui-icon-triangle-1-e {position:absolute;right:0;top:3px;}


span.ui-timepicker-trigger {
	width: 16px;
	height: 16px;
	background: url('https://intralinc.lincoln.ne.gov/classes/tm_clock.gif');
	display: inline-block;
	margin: 0 3px;
	vertical-align: middle;
	cursor: pointer;
}

/* Custom Display/Color */

.ui-timepicker-table.ui-widget-content {border: 1px solid #507cd1;border-collapse: separate;}
.ui-timepicker-table {font-size:.9em;}
.ui-timepicker-table table {font-size:.9em;}
.ui-timepicker-title {background-color:#507cd1;color:#fff;}
.ui-timepicker-night, .ui-widget-content .ui-timepicker-night {background-color:#e0e0e0;}
.ui-timepicker .ui-timepicker-buttonpane {border-top: 1px solid #0033AA;}
.ui-timepicker .ui-timepicker-buttonpane button:hover {color:#06c;}
.ui-timepicker .ui-state-active:hover,
.ui-timepicker .ui-state-hover {background-color:#edf9ff;color:#06c;}

.ui-timepicker .ui-state-active{
	background: #007fff;
	color: #ffffff;
}
